Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class JspLoader

    java.lang.Object
      java.lang.ClassLoader
          org.apache.jasper.runtime.JspLoader

Direct Known Subclasses:
  JasperLoader

public abstract class JspLoader
extends java.lang.ClassLoader

Jsp compiler and runtime depends on special features from the ClassLoader. It has to allow run-time addition of class paths and provide access to the class path. The loader is also responsible for detecting changes and reloading.

Author:
  Anil K. Vijendran, Harish Prabandham, Costin Manolache

Field Summary
`protected java.util.Vector` | `jars`
`protected Options` | `options`
`protected java.lang.ClassLoader` | `parent`

Constructor Summary
`protected` | `JspLoader()`

Method Summary
`void` | `addJar(java.lang.String jarFileName)`
`java.lang.String` | `getClassPath()`
`void` | `setOptions(Options options)`
`void` | `setParentClassLoader(java.lang.ClassLoader cl)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected java.lang.ClassLoader parent

### options

    protected Options options

### jars

    protected java.util.Vector jars

Constructor Detail

### JspLoader

    protected JspLoader()

Method Detail

### setParentClassLoader

    public void setParentClassLoader(java.lang.ClassLoader cl)

### setOptions

    public void setOptions(Options options)

### addJar

    public void addJar(java.lang.String jarFileName)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getClassPath

    public java.lang.String getClassPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.